> ## Documentation Index
> Fetch the complete documentation index at: https://docs.suprsend.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Linked Workflows

> Fetch list of all workflows where this event is used



## OpenAPI

````yaml GET /v1/{workspace}/event/{url_encoded_event_name}/linked_workflows/
openapi: 3.1.1
info:
  title: SuprSend API
  description: APIs supported on suprsend platform
  version: 1.2.2
servers:
  - url: https://hub.suprsend.com
security:
  - sec0: []
  - BearerAuth: []
paths:
  /v1/{workspace}/event/{url_encoded_event_name}/linked_workflows/:
    get:
      summary: Get Linked Workflows
      description: Fetch list of all workflows where this event is used
      operationId: get-linked-workflows
      parameters:
        - in: path
          name: workspace
          required: true
          schema:
            type: string
          description: Workspace slug (staging, production, etc.)
        - in: path
          name: url_encoded_event_name
          required: true
          schema:
            type: string
          description: URL encoded event name. Example - `SHIPMENT%20ARRIVED`
      responses:
        '200':
          description: Successfully retrieved linked workflows
          content:
            application/json:
              schema:
                type: object
                properties:
                  results:
                    type: array
                    items:
                      type: object
                      properties:
                        slug:
                          type: string
                          description: Workflow slug where this event is used
                          example: onboarding_series
                        usage:
                          type: array
                          items:
                            type: string
                            description: >-
                              Usage of the event in the workflow. Could be one
                              of `Trigger Event`, `Wait Event` or `Success
                              Metric Event`
                            example: Wait Event
              example:
                results:
                  - slug: onboarding_series
                    usage:
                      - Trigger Event
        '401':
          $ref: '#/components/responses/AuthenticationError'
          description: AuthenticationFailed - Invalid service token.
        '404':
          description: Event not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: integer
                    description: HTTP status code
                    example: 404
                  error_code:
                    type: string
                    description: Error code identifier
                    example: not_found
                  type:
                    type: string
                    description: Error type
                    example: NotFound
                  message:
                    type: string
                    description: Error message
                    example: Event 'user_signup' not found in workspace 'staging'
                  detail:
                    type: string
                    description: Detailed error information
                    example: Event 'user_signup' not found in workspace 'staging'
              example:
                code: 404
                error_code: not_found
                type: NotFound
                message: Event 'user_signup' not found in workspace 'staging'
                detail: Event 'user_signup' not found in workspace 'staging'
      security:
        - ServiceTokenAuth: []
      servers:
        - url: https://management-api.suprsend.com
      x-codeSamples:
        - lang: cURL
          label: Get Linked Workflows
          source: >
            curl -X GET
            "https://management-api.suprsend.com/v1/{workspace}/event/{url_encoded_event_name}/linked_workflows/"
            \
              --header 'Authorization: ServiceToken <token>' \
              --header 'Content-Type: application/json'
components:
  responses:
    AuthenticationError:
      description: Authentication failed
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          example:
            code: 401
            error_code: authentication_failed
            type: AuthenticationFailed
            message: Invalid service token.
            detail: Invalid service token.
  schemas:
    ErrorResponse:
      type: object
      properties:
        code:
          type: integer
          description: HTTP status code
        error_code:
          type: string
          description: Specific error code identifier
        type:
          type: string
          description: Error type classification
        message:
          type: string
          description: Human-readable error message
        detail:
          type: string
          description: Additional error details
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: Authorization
      x-bearer-format: bearer
      description: >-
        Bearer authentication header of the form `Bearer <token>`, where <token>
        is your auth token.
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API_Key
      description: >-
        Pass as `Bearer <API_KEY>`. Get API Key from SuprSend dashboard
        Developers -> API Keys section.
    ServiceTokenAuth:
      type: apiKey
      in: header
      name: ServiceToken <token>
      description: >-
        You can get Service Token from [SuprSend dashboard -> Account Settings
        -> Service
        Tokens](https://app.suprsend.com/en/account-settings/service-tokens)
        section.

````